org.apache.thrift.server

## Class TThreadPoolServer

- java.lang.Object
- - org.apache.thrift.server.TServer
  - - org.apache.thrift.server.TThreadPoolServer

-     public class TThreadPoolServer
      extends TServer

  Server which uses Java's built in ThreadPool management to spawn off a worker pool that

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TThreadPoolServer.Args`

    - ### Nested classes/interfaces inherited from class org.apache.thrift.server.TServer

      `TServer.AbstractServerArgs<T extends TServer.AbstractServerArgs<T>>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.server.TServer

      `inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TThreadPoolServer(TThreadPoolServer.Args args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serve()` The run method fires up the server and gets things going.
    `void` | `stop()` Stop the server.

    - ### Methods inherited from class org.apache.thrift.server.TServer

      `isServing, setServing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TThreadPoolServer

          public TThreadPoolServer(TThreadPoolServer.Args args)

  - ### Method Detail

    - #### serve

          public void serve()

      Description copied from class: `TServer`
      The run method fires up the server and gets things going.
      Specified by:
        `serve` in class `TServer`

    - #### stop

          public void stop()

      Description copied from class: `TServer`
      Stop the server. This is optional on a per-implementation basis. Not all servers are required to be cleanly stoppable.
      Overrides:
        `stop` in class `TServer`